# Record Class SyText

java.lang.Object
java.lang.Record
com.io7m.jsycamore.api.text.SyText

Record Components:
  `value` - The text value
  `direction` - The text direction

public record SyText(String value, SyTextDirection direction) extends Record
A section of text with a specific direction.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SyText(String value, SyTextDirection direction)`
  A section of text with a specific direction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SyTextDirection`
  `direction()`
  Returns the value of the `direction` record component.
  `static SyText`
  `empty()`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static SyText`
  `text(String text)`
  Create a text section from the given string, using `Bidi` to infer the text direction.
  `static SyText`
  `text(String text, SyTextDirection direction)`
  Create a text section from the given string and text direction.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SyText

    public SyText(String value, SyTextDirection direction)
    A section of text with a specific direction.
    Parameters:
      `value` - The text value
      `direction` - The text direction

- ## Method Details

  - ### text

    public static SyText text(String text)
    Create a text section from the given string, using `Bidi` to infer the text direction.
    Parameters:
      `text` - The text
    Returns:
      A text section

  - ### text

    public static SyText text(String text, SyTextDirection direction)
    Create a text section from the given string and text direction.
    Parameters:
      `text` - The text
      `direction` - The text direction
    Returns:
      A text section

  - ### empty

    public static SyText empty()
    Returns:
      An empty text section

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### value

    public String value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component

  - ### direction

    public SyTextDirection direction()
    Returns the value of the `direction` record component.
    Returns:
      the value of the `direction` record component